Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class MEMM.State

    java.lang.Object
      cc.mallet.fst.Transducer.State
          cc.mallet.fst.CRF.State
              cc.mallet.fst.MEMM.State

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  MEMM

    public static class MEMM.State

extends CRF.State
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `MEMM.State(java.lang.String name, int index, double initialCost, double finalCost, java.lang.String[] destinationNames, java.lang.String[] labelNames, java.lang.String[][] weightNames, CRF crf)`

Method Summary
`Transducer.TransitionIterator` | `transitionIterator(Sequence inputSequence, int inputPosition, Sequence outputSequence, int outputPosition)`

Methods inherited from class cc.mallet.fst.CRF.State
`addWeight, getDestinationState, getFinalWeight, getIndex, getInitialWeight, getLabelName, getName, getTransducer, getWeightNames, numDestinations, print, setFinalWeight, setInitialWeight, transitionIterator`

Methods inherited from class cc.mallet.fst.Transducer.State
`transitionIterator, transitionIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MEMM.State

    protected MEMM.State(java.lang.String name,
                         int index,
                         double initialCost,
                         double finalCost,
                         java.lang.String[] destinationNames,
                         java.lang.String[] labelNames,
                         java.lang.String[][] weightNames,
                         CRF crf)

Method Detail

### transitionIterator

    public Transducer.TransitionIterator transitionIterator(Sequence inputSequence,
                                                            int inputPosition,
                                                            Sequence outputSequence,
                                                            int outputPosition)

  Overrides:
    `transitionIterator` in class `CRF.State`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD